Bug 226649 - [NEW PORT] benchmarks/uperf: Network performance tool to model and replay of networking patterns
Summary: [NEW PORT] benchmarks/uperf: Network performance tool to model and replay of ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kirill Ponomarev
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2018-03-16 00:41 UTC by Mateusz Piotrowski
Modified: 2018-04-02 15:05 UTC (History)
3 users (show)

See Also:


Attachments
Shell archive of a new uperf port (version: v1.0.6.20180221) (5.96 KB, text/plain)
2018-03-16 00:41 UTC, Mateusz Piotrowski
no flags Details
Patch adding a new benchmarks/uperf port (version: v1.0.6.20180221, rev: 2) (5.90 KB, patch)
2018-04-01 22:47 UTC, Mateusz Piotrowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2018-03-16 00:41:58 UTC
Created attachment 191540 [details]
Shell archive of a new uperf port (version: v1.0.6.20180221)

Uperf is a network performance measurement tool that supports execution of workload profiles. It was requested by gnn@.

This piece of software feels a little bit unmaintained. That's why I've decided to check out the newest version available from the upstream tree (v1.0.6.20180221, which is slightly newer than the latest v1.0.6 release

I've attached an initial version of the port. I'll probably have to improve it here and there but the core should be fine. After all, it passes my QA tests.

I kindly ask for a review and suggestions :)

---

QA:
 * poudriere: 11.1-RELEASE (amd64, i386), 12.0-CURRENT (amd64), 10.4-RELEASE (amd64)
 * portlint
 * FreeBSD 12.0-CURRENT r330529 amd64
Comment 1 Michael Tuexen freebsd_committer 2018-03-19 00:37:22 UTC
I'm not an expert on ports... Just one note: In case you need FreeBSD specific patches, drop me a note such we can get them upstream.

Thanks for your work.

Best regards
Michael
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2018-04-01 10:27:03 UTC
Reporter is committer, assign accordingly.

@Mateusz

LGTM. Minor nits:

GH_ACCOUNT defaults to PORTNAME

One may also want to check for other ports/packages that install 'uperf' binary name, and add CONFLICTS{_*} if any do.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2018-04-01 10:28:13 UTC
Also, adding the port to benchmarks/Makefile is missing [1]

[1] https://www.freebsd.org/doc/en/articles/committers-guide/ports.html#ports-qa-adding
Comment 4 Mateusz Piotrowski freebsd_committer 2018-04-01 22:47:41 UTC
Created attachment 192082 [details]
Patch adding a new benchmarks/uperf port (version: v1.0.6.20180221, rev: 2)

As suggested by koobs@:
 * I removed GH_ACCOUNT as the ports framework set the desired value by default.
 * I check for conflicting uperf binaries in the ports tree. It looks like this will be the only port, which installs a bin/uperf file.
 * I added uperf to benchmarks/Makefile.
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2018-04-02 09:25:56 UTC
Mateusz is a GSoC participant (they get @FreeBSD.org addresses), but doesn't (yet) have a commit bit, so cant commit this themselves. Reset assignee accordingly
Comment 6 commit-hook freebsd_committer 2018-04-02 15:05:32 UTC
A commit references this bug:

Author: krion
Date: Mon Apr  2 15:04:51 UTC 2018
New revision: 466231
URL: https://svnweb.freebsd.org/changeset/ports/466231

Log:
  Add benchmarks/uperf

  Unified Performance Tool (or uperf for short) is a network
  performance tool that supports modelling and replay of various
  networking patterns. It represents a new kind of benchmarking tool
  (like filebench) where instead of running a fixed benchmark or
  workload, a description (or model) of the workload is provided and
  the tool generates the load according to the model.

  PR:		226649
  Submitted by:	0mp@FreeBSD.org
  Requested by:	gnn

Changes:
  head/benchmarks/Makefile
  head/benchmarks/uperf/
  head/benchmarks/uperf/Makefile
  head/benchmarks/uperf/distinfo
  head/benchmarks/uperf/pkg-descr
  head/benchmarks/uperf/pkg-plist